%global pypi_name	progressbar2

Name:		python-%{pypi_name}
Summary:	A Progressbar library to provide visual progress to long running operations
Version:	4.0.0
Release:	%mkrel 2
License:	BSD
Group:		Development/Python
Url:		https://pypi.python.org/pypi/progressbar2
Source:		%pypi_source
BuildArch:	noarch

%description
A text progress bar is typically used to display the progress of a long
running operation, providing a visual cue that processing is underway.

The ProgressBar class manages the current progress, and the format of the line
is given by a number of widgets.

The progressbar module is very easy to use, yet very powerful. It will also
automatically enable features like auto-resizing when the system supports it.

%package -n python3-%{pypi_name}
Summary:	%{summary}
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A text progress bar is typically used to display the progress of a long
running operation, providing a visual cue that processing is underway.

The ProgressBar class manages the current progress, and the format of the line
is given by a number of widgets.

The progressbar module is very easy to use, yet very powerful. It will also
automatically enable features like auto-resizing when the system supports it.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/progressbar/
%{python3_sitelib}/progressbar2-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 4.0.0-2.mga9
+ Revision: 1822254
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 4.0.0-1.mga9
+ Revision: 1772321
- new version 4.0.0
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 3.53.1-2.mga9
+ Revision: 1702809
- rebuild for python 3.9

* Sun Dec 06 2020 wally <wally> 3.53.1-1.mga8
+ Revision: 1653978
- imported package python-progressbar2

